using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.Chobit.Models;

public record ChobitWork
{
    [JsonPropertyName("work_id")]
    public string? WorkId { get; set; }

    [JsonPropertyName("dlsite_work_id")]
    public string? DLSiteWorkId { get; set; }

    [JsonPropertyName("work_name")]
    public string? WorkName { get; set; }

    [JsonPropertyName("work_name_kana")]
    public string? WorkNameKana { get; set; }

    [JsonPropertyName("url")]
    public string? Url { get; set; }

    [JsonPropertyName("embed_url")]
    public string? EmbedURL { get; set; }

    [JsonPropertyName("thumb")]
    public string? Thumb { get; set; }

    [JsonPropertyName("mini_thumb")]
    public string? MiniThumb { get; set; }

    [JsonPropertyName("file_type")]
    public string? FileType { get; set; }

    [JsonPropertyName("embed_width")]
    public decimal EmbedWidth { get; set; }

    [JsonPropertyName("embed_height")]
    public decimal EmbedHeight { get; set; }
}